Get list of domain DNS records by domain ID
curl --request GET \
--url https://api.kinqsta.com/v2/domains/{domain_id}/dns-records \
--header 'Authorization: Bearer <token>'{
"domain": {
"dns_records": [
{
"type": "A",
"name": "abc.mydomain.com",
"ttl": 3600,
"resource_records": [
{
"value": "1.1.1.1"
}
]
}
]
}
}Domains
Get list of domain DNS records by domain ID
GET
/
domains
/
{domain_id}
/
dns-records
Get list of domain DNS records by domain ID
curl --request GET \
--url https://api.kinqsta.com/v2/domains/{domain_id}/dns-records \
--header 'Authorization: Bearer <token>'{
"domain": {
"dns_records": [
{
"type": "A",
"name": "abc.mydomain.com",
"ttl": 3600,
"resource_records": [
{
"value": "1.1.1.1"
}
]
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinqsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Response
Response object of domain DNS records requests
Show child attributes
Show child attributes
⌘I